Creates a new user_planning_slot

Request Information

URI Parameters :

None.

Body Parameters :

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "d3d9ff37-8ad7-4a70-aed6-580902078408",
  "user_id": "c945e3cb-8aa0-4a5b-b828-f5e4c6ed3ae8",
  "user_planning_slot_type_id": "c71f2491-6658-4032-b609-7806c8fcba83",
  "date_from": "2026-10-28T19:39:51.7383262+00:00",
  "date_to": "2026-10-28T19:39:51.7383262+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-10-28T19:39:51.7383262+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.